AC(1)

NOMBRE
ac- muestras estadísticas sobre el tiempo de conexión de los usuarios

SINOPSIS

ac  [ -d | --daily-totals ] [ -y | --print-year ]
    [ -p | --individual-totals ] [ people ]
    [ -f | --file filename ] [ -a | --all-days ]
    [ --complain ] [ --reboots ] [ --supplants ]
    [ --timewarps ] [ --compatibility ]
    [ --tw-leniency num ] [ --tw-suspicious num ]
    [ -z | --print-zeros ] [ --debug ]
    [ -V | --version ] [ -h | --help ]

DESCRIPCIÓN

ac muestra un registro del tiempo de conexión (en horas) en base a las entradas/salidas del sistema que aparecen en el archivo wtmp. También se muestra la totalización.

El archivo de registro wtmp está gestionado por init(8) y login(1). Ni ac ni login crearán este archivo, si no existiese no se llevaría ninguna contabilidad de procesos. Para iniciarla, cree el archivo con un tamaño cero.

NOTA: el archivo wtmp se puede incrementar mucho y muy rápidamente por lo que seguramente quiera reducir su tamaño de vez en cuando.

GNU ac funciona prácticamente igual que UNIX ac, aunque es un poco más avanzado en ciertos aspectos. No espere la mismas respuesta entre GNU ac y ac en otros sistemas.

OPCIONES
-d, --daily-totals
    Muestra la totalización para cada día en lugar de dar solo una totalización general. La salida es algo similar a esto:
            Jul 3 total 1.17
            Jul 4 total 2.10
            Jul 5 total 8.23
            Jul 6 total 2.10
            Jul 7 total 0.30
-p, --individual-totals
    Imprime la totalización de cada usuario además del total general. Es similar a esto:
            bob 8.06
            goff 0.60
            maley 7.37
            root 0.12
            total 16.15
usuarios
    Muestra la suma total del tiempo de conexión empleado por todos los usuarios incluidos en usuarios. Observe que usuarios es una lista de usuarios separados entre sí por un espacio. No se pueden usar caracteres comodín.
-f, --file archivo
    Lee la información de archivo en lugar de leerla del archivo wtmp del sistema.
--complain
    Muestra un error cada vez que se presente un problema en el archivo wtmp ya sea un salto temporal, un registro que falte o cualquier otro.
--reboots
    Los registros de reinicio no se anotan durante los mismo, sino cuando el sistema vuelve a iniciarse. De ahí que sea imposible conocer el momento exacto del reinicio. Un usuario puede entrar en el sistema al reinciar y muchas versiones de ac anotarán todo el tiempo al usuario a pesar de que parte de él seguramente no se ha usado, sobre todo si el sistema está caído durante un largo período de tiempo. Si desea contabilizar ese tiempo, utilice esta opción. *Si desea asegurarse la compatibilidad con la mayoría de ac, utlice esta opción.*
--supplants
    Algunas veces no se registra el cierre de sesión en un terminal por lo que no es posible conocer el tiempo de conexión del último usuario. Si desea incluir el tiempo entre el inicio de sesión donde falló el registro de la salida, y el siguiente inicio (aunque probablemente no sea correcto) utilice esta opción. *Si desea asegurarse la compatibilidad con la mayoría de ac, utlice esta opción.*
--timewarps
    Puede ocurrir que algunas entradas en el archivo wtmp de repente "vuelvan al pasado" sin que se registro cambio de hora alguno. En este caso es imposible conocer el tiempo que un usuario estuvo conectado. Si desea contabilizar el tiempo entre el inicio de sesión y la distorsión temporal, utilice esta opción. *Si desea asegurarse la compatibilidad con la mayoría de ac, utlice esta opción.*
--compatibility
    Forma abreviada de indicar las tres opciones anteriores.
-a, --all-days
    Cuando se muestras totalizaciones diarias, imprime un registro para cada día en lugar de saltarse los días en los que no hay inicios de sesión. Sin esta opción, el tiempo acumulado en los días que no hubo incio o fin de sesión se añade al día siguiente en que lo haya.
--tw-leniency num
    Establece la tolerancia con la distorsión del tiempo en num segundos. Los registros de wtmp puede estar ligeramente desordenados (por ejemplo cuando se hacen dos entradas al sistema con menos de un segundo de diferencia, la segunda se registrará primero). Por defecto el valor es de 60 segundos. Si el programa percibe este problema, no se asigna del tiempo a los usuarios salvo que se indique expresamente la opción --timewarps.
--tw-suspicious num
    Define como sospecha de alguna distorsión temporal el valor de num segundos. Si dos registros en wtmp están separados por un número mayor de segundos que el valor dado, se interpreta que existe un problema en el archivo wtmp (o que la máquina no se usó en un año). Si el programa percibe este problema, no se asigna del tiempo a los usuarios salvo que se indique expresamente la opción --timewarps.
-y, --print-year
    Muestra también el año cuando imprime una fecha.
-z, --print-zeros
    Imprime la totalización de cualquier categoría (salvo el total general) aunque sea zero. Por defecto, no se muestra.
--debug
    Muestra abundante información interna.
-V, --version
    Imprime la versión de ac y sale.
-h, --help
    Muestra información de uso y la localización por defecto de los archivos del sistema terminando la ejecución acto seguido.

ARCHIVOS
wtmp
    Archivo de registro de las entradas al sistema. Consulte wtmp(5) para más información.

AUTOR
Las utilidades de contabilidad de procesos de GNU fueron escritas por by Noel Cragg <noel@gnu.ai.mit.edu>. Esta página de manual fue creada a partir de la página texinfo por Susan Kleinmann <sgk@sgk.tiac.net>.

VÉASE TAMBIÉN
login(1), wtmp(5), init(8), sa(8)

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>
Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.
Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.